<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Projecte web compartit </title>
    <link rel="stylesheet" href="style.css">
  </head>
  <body>
    <div class="container">
      <h1>GIT</h1>
      <div class="intro">
        <h2>Introducció</h2>
        <p>Git permite gestionar proyectos y controlar versiones de codigos, permite al desarrollador descargar un software, realizar cambios y subir las verisones modificadas. Los comando s basicos del Git son Clone si queremos trabajar un repositorio que ya esta en el servidor,Status nos muestra os archivos modificados, nuevos o eliminados, Checkout dejan los ficheros como antes de hacerles una modificación, Add para marcar un fichero, Commit sube los cambios quesehan marcado en add y rm, Push sube los commits que tengan en local a la rama de nombre nombre_branca de nuestro repositorio,normalmente origin.</p>
      </div>
      <div class="branches">
        <h2>Branques</h2>
        <p>El poder treballar amb branques és una de les coses que fa que el git sigui diferent de la resta de controls de versions. hi ha un parell de casos on fer servir branques facilita les coses. Aquests dos casos són:

Per fer proves. Quan tens una idea al cap i no saps si funcionarà
Per afegir una funcionalitat que preveus difícil.
La comanda per crear una branca és git branch nom_de_la_branca. Amb aquesta comanda creem una branca.
Ara que ja hem creat una branca hem d'aprendre a moure'ns (sinó ja veus de què serveix...). Per tal de moure'ns entre branques la comanda que fem servir és git checkout nom_de_la_branca. Això ens canvia de branca.
Per poder ajuntar les branques primer de tot ens posem a la branca principal (on volem que s'ajunti) git checkout master i aleshores ajuntem les dues branques amb git merge nova_branca.</p>
      </div>
      <div class="remot">
        <h2>Remot</h2>
        <p>Treballar en remot permeteix crear, veure y eliminar pujan els commits al projecte que tinguis creat en la nubol.
        Les comandes basiques per treballar desde un repositori local a penjar-lo a la nubol o projecte a la red son el remot(per connectar el repositori local con el projecte remot), el commit (per guardar las versions), el push(per penjar els commits creats al projecte remot y visualitzar-les) y el pull(per si compartim el projecte y el company vol els commits que tu has fet las descarrega i li surt en el seu repositori)</p></div>
      </div>
   </div>
  </body>
</html>
